<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: photogallery.php
| Author: Nick Jones (Digitanium)
| Co-Author: Robert Gaudyn (Wooya)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."photogallery.php";

define("SAFEMODE", @ini_get("safe_mode") ? true : false);

$nastranice=20;
$thumb_width=50;



if (isset($_GET['photo_id']) && !isNum($_GET['photo_id'])) redirect(FUSION_SELF);
if (isset($_GET['album_id']) && !isNum($_GET['album_id'])) redirect(FUSION_SELF);
if (!isset($_GET['rowstart']) || !isNum($_GET['rowstart'])) $rowstart = 0;


if(isset($_GET['photo_id'])){
	$result = dbquery(
		"SELECT tp.*, ta.*,  tc.*, tu.user_id,user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_PREFIX."photos tp
		LEFT JOIN ".DB_PREFIX."photo_albums ta USING (album_id)
		LEFT JOIN ".DB_PREFIX."photo_album_cats tc USING (album_cat_id)
		LEFT JOIN ".DB_PREFIX."users tu ON tp.photo_user=tu.user_id
		LEFT JOIN ".DB_PREFIX."ratings tr ON tr.rating_item_id = tp.photo_id AND tr.rating_type='P'
		WHERE photo_id='$photo_id' GROUP BY tp.photo_id"
	);
	$data = dbarray($result);
	
	
	if (!checkgroup($data['album_access'])) {
		redirect(FUSION_SELF);
	} else {
		define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : ""));
		
		include INCLUDES."comments_include.php";
		include INCLUDES."ratings_include.php";
		$result=dbquery("UPDATE ".DB_PREFIX."photos SET photo_views=(photo_views+1) WHERE photo_id='".$photo_id."'");
		$pres = dbquery("SELECT photo_id FROM ".DB_PREFIX."photos WHERE photo_order='".($data['photo_order']-1)."' AND album_id='".$data['album_id']."'");
		$nres = dbquery("SELECT photo_id FROM ".DB_PREFIX."photos WHERE photo_order='".($data['photo_order']+1)."' AND album_id='".$data['album_id']."'");
		if (dbrows($pres)) $prev = dbarray($pres);
		if (dbrows($nres)) $next = dbarray($nres);
		if ($data['photo_thumb2']) { $photo_thumb = PHOTODIR.$data['photo_thumb2']; } else { $photo_thumb = ""; }
		$photo_file = PHOTODIR.$data['photo_filename'];
		$photo_size = @getimagesize($photo_file);
		
		$count = dbcount("(photo_id)", DB_PREFIX."photos", "album_id='".$data['album_id']."'");   
		
		add_to_title( " ".$locale['400'].": ".$data['album_cat_title']." - ".$data['album_title']." ".$data['photo_order']."/".$count );
		echo "";
		opentable("<a href='top' name='top'></a><a href='".FUSION_SELF."'>".$locale['400']."</a>: \n".
      "<a href='".FUSION_SELF."?album_cat=".$data['album_cat_id']."'>".$data['album_cat_title']."</a> - \n".
      "<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>".$data['album_title']."</a> - \n".
      "<a href='".FUSION_SELF."?photo_id=$photo_id'>".$data['photo_order']."/".$count ."</a>\n"		
    );
    
    $apres = dbquery("SELECT album_id, album_order, album_title, album_datestamp FROM ".DB_PREFIX."photo_albums WHERE album_cat_id='".$data['album_cat_id']."' AND album_order<'".$data['album_order']."' ORDER BY album_order DESC LIMIT 1" );
		$anres = dbquery("SELECT album_id, album_order, album_title, album_datestamp FROM ".DB_PREFIX."photo_albums WHERE album_cat_id='".$data['album_cat_id']."' AND album_order>'".$data['album_order']."' ORDER BY album_order ASC LIMIT 1" );

		if (dbrows($apres)) $aprev = dbarray($apres);
		if (dbrows($anres)) $anext = dbarray($anres);  
    
    echo "<table class='space' width='100%'><tr><td><div class='small'><strong> ".$data['photo_order']."  ".$count ."</strong> | ";
    echo"<a href='".FUSION_SELF."?album_id=".$data['album_id']."' title=''>   </a> | ";
    echo"<a href='".FUSION_SELF."?album_cat=".$data['album_cat_id']."'>   </a> |\n";
    echo "<a href='".FUSION_SELF."'>   </a> | \n";
    echo "</div>";


    
    if ((isset($prev['photo_id']) && isNum($prev['photo_id'])) || (isset($next['photo_id']) && isNum($next['photo_id']))) {
      echo "</td><td align='right'>";
      echo "<div class='pagenav'>\n";
						if (isset($prev)) echo "<a href='".FUSION_SELF."?photo_id=".$prev['photo_id']."' title='".$locale['452']."'>&larr;</a>\n";
						if (isset($next)) echo "<a href='".FUSION_SELF."?photo_id=".$next['photo_id']."' title='".$locale['451']."'>&rarr;</a>\n";			 	
			echo "</div>\n";			

		}

		echo "</td></tr></table>\n";
				
		tablebreak();		
		echo "<div align='center'>\n";
					if (iSUPERADMIN && checkrights("P")) { echo "<a href='administration/photos.php".$aidlink."&action=edit&album_id=".$data['album_id']."&photo_id=".$data['photo_id']."' target='_blank'><img src='".IMAGES."edit.gif' alt=' ' title=' ' style='vertical-align:middle;border:0px;'/></a><br/>\n"; }
					
					
					
				$ppres = dbquery("SELECT photo_id, photo_order, photo_thumb1, album_id FROM ".DB_PREFIX."photos WHERE album_id='".$data['album_id']."' AND photo_order<'".$data['photo_order']."' ORDER BY photo_order DESC LIMIT 4" );
        $pnres = dbquery("SELECT photo_id, photo_order, photo_thumb1, album_id FROM ".DB_PREFIX."photos WHERE album_id='".$data['album_id']."' AND photo_order>'".$data['photo_order']."' ORDER BY photo_order ASC LIMIT 4" );		
		
        $terms1 = array();
        $terms2 = array();
    
        while ($pprev = dbarray($ppres)) {
          $terms1[] = array('photo_id' => $pprev['photo_id'], 'photo_thumb1' => $pprev['photo_thumb1']);
        }		
        $terms1 = array_reverse($terms1);  
        while ($pnext = dbarray($pnres)) {
          $terms2[] = array('photo_id' => $pnext['photo_id'], 'photo_thumb1' => $pnext['photo_thumb1']);
        }		
        echo "<div class='gallery'>\n";
          foreach ($terms1 as $k) {
            echo "<a href='".FUSION_SELF."?photo_id=".$k['photo_id']."' title='".$locale['451']."'><img src='".PHOTODIR."".$k['photo_thumb1']."' title='".$locale['451']."'alt='".$locale['451']."' width='".$thumb_width."' height='".$thumb_width."'/></a>\n";             
          }
          echo "<a href='".FUSION_SELF."?photo_id=".$data['photo_id']."' title='".$data['photo_description']."'><span class='active'><img src='".PHOTODIR."".$data['photo_thumb1']."' hspace='2' vspace='2' alt='".$data['photo_description']."' width='".$thumb_width."' height='".$thumb_width."'/></span></a>\n"; 
      
          foreach ($terms2 as $n) {
            echo "<a href='".FUSION_SELF."?photo_id=".$n['photo_id']."' title='".$locale['452']."'><img src='".PHOTODIR."".$n['photo_thumb1']."' title='".$locale['452']."' alt='".$locale['452']."' width='".$thumb_width."' height='".$thumb_width."'/></a>\n";  
          }
        echo "</div>\n";

		if ($settings['photo_watermark']) {
			if ($settings['photo_watermark_save']) {
				$parts = explode(".", $data['photo_filename']);
				$wm_file1 = $parts[0]."_w1.".$parts[1];
				$wm_file2 = $parts[0]."_w2.".$parts[1];
				if (!file_exists(PHOTODIR.$wm_file1)) {
					if ($data['photo_thumb2']) { $photo_thumb = "photo.php?photo_id=".$data['photo_id']; }
					$photo_file = "photo.php?photo_id=".$data['photo_id'];
				} else {
					if ($data['photo_thumb2']) { $photo_thumb = PHOTODIR.$wm_file1; }
					$photo_file = PHOTODIR.$wm_file2;
				}
			} else {
				if ($data['photo_thumb2']) { $photo_thumb = "photo.php?photo_id=".$data['photo_id']; }
				$photo_file = "photo.php?photo_id=".$data['photo_id'];
			}
			$photo_size = @getimagesize(PHOTODIR.$data['photo_filename']);
		} else {
			$photo_thumb = $data['photo_thumb2'] ? PHOTODIR.$data['photo_thumb2'] : "";
			$photo_file = PHOTODIR.$data['photo_filename'];
			$photo_size = @getimagesize($photo_file);
		}


		echo "<a href=\"javascript:;\" onclick=\"window.open('showphoto.php?photo_id=".$data['photo_id']."','','scrollbars=no,toolbar=no,status=no,resizable=yes,width=".($photo_size[0]).",height=".($photo_size[1])."')\">";
		echo "<img src='".($photo_thumb ? $photo_thumb : $photo_file)."' title='".$locale['453']."' alt='".$locale['453']."' /></a>\n</div>\n";
		echo "<div align='center' style='margin:5px 0px 5px 0px;'>\n";
    if (($data['photo_title'])&&($data['photo_title']!=$data['photo_order'])) echo "<strong>".nl2br(parseubb($data['photo_title']))."</strong><br/>\n";
    if ($data['photo_description']) echo "".nl2br(parseubb($data['photo_description']))."<br/><br/>\n";      
				echo $locale['457'].$data['photo_views']."\n";
		
     echo "</div>\n";
		
		if ($data['photo_allow_ratings']) { showratings("P", $_GET['photo_id'], FUSION_SELF."?photo_id=".$_GET['photo_id']); }
		if ($data['photo_allow_comments']) { showcomments("P", DB_PHOTOS, "photo_id", $_GET['photo_id'], FUSION_SELF."?photo_id=".$_GET['photo_id']); }


		closetable();
	}
} elseif (isset($_GET['album_id'])) {
	define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$album_id."/" : ""));
	$result = dbquery(
		"SELECT ta.* FROM ".DB_PREFIX."photo_albums ta WHERE album_id='$album_id'"
	);
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		  $result = dbquery(
        "SELECT ta.*, tc.*, tu.user_id,user_name
        FROM ".DB_PREFIX."photo_albums ta
        LEFT JOIN ".DB_PREFIX."photo_album_cats tc USING (album_cat_id)  
        LEFT JOIN ".DB_PREFIX."users tu ON ta.album_user=tu.user_id
        WHERE album_id='$album_id' GROUP BY tc.album_cat_sorting"
      );
      $data = dbarray($result);
      
        
		if (!checkgroup($data['album_access'])) {
			redirect(FUSION_SELF);
		} else {
			$rows = dbcount("(photo_id)", DB_PREFIX."photos", "album_id='$album_id'");         
      add_to_title( " ".$locale['400'].": ".$data['album_cat_title']." - ".$data['album_title']);
      opentable("<a href='".FUSION_SELF."'>".$locale['400']."</a>: \n".
        "<a href='".FUSION_SELF."?album_cat=".$data['album_cat_id']."'>".$data['album_cat_title']."</a> - \n".
        "<a href='".FUSION_SELF."?album_id=".$data['album_id']."'>".$data['album_title']."</a>\n"	
      );
      
    echo "<div class='small'>\n";
    echo "<a href='".FUSION_SELF."'>   </a> | \n";
    echo "<a href='".FUSION_SELF."?album_cat=".$data['album_cat_id']."'>   </a>\n";
    echo "</div><br/><br/>\n";
		
			
			echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";

			echo "<td valign='top' ><strong>".$locale['421'].$data['album_title']."</strong><br/>\n";
			echo nl2br(parseubb($data['album_description']))."<br/>\n";
			if ($rows) {
				echo "<br/><div class='small'>";
				echo $locale['422']."$rows<br/>\n";
				echo $locale['423']."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>".$locale['424']." ".showdate("shortdate", $data['album_datestamp'])."\n";
        echo "</div>";
			} else {
				echo $locale['425']."\n";
			}
			
		
			
			echo "\n</td>\n</tr>\n</table>";
			if ($rows) {
		
        if ($data['album_cat_id']=='2') {$order=' photo_order DESC ';} else {$order=' photo_order ASC ';}
        $result = dbquery(
					"SELECT tp.*, tu.user_id,user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
					FROM ".DB_PREFIX."photos tp
					LEFT JOIN ".DB_PREFIX."users tu ON tp.photo_user=tu.user_id
					LEFT JOIN ".DB_PREFIX."ratings tr ON tr.rating_item_id = tp.photo_id AND tr.rating_type='P'
					WHERE album_id=$album_id GROUP BY photo_id ORDER BY $order LIMIT $rowstart,".$settings['thumbs_per_page']
				);
				tablebreak();				
				$counter = 0;
				$i=0;
		

		echo "<div class='gallery'>";
		echo "<table  class='em' align='center' valign='top' width='100%'><tr>";
	
		while ($data = dbarray($result)) {
       echo "<td>\n";
			if (iSUPERADMIN && checkrights("P")) { echo "<div class='small'><a href='administration/photos.php".$aidlink."&action=edit&album_id=".$data['album_id']."&photo_id=".$data['photo_id']."' target='_blank'><img src='".IMAGES."edit.gif' style='vertical-align:middle;border:0px;' alt=''/></a></div>\n"; 
        echo "<div class='small'><a href='".FUSION_SELF."?action=changealbum&photo_id=".$data['photo_id']."'> </a></div>";
        echo "<div class='small'>".$data['photo_views']."</div>";
      }
        echo "<a href='".FUSION_SELF."?photo_id=".$data['photo_id']."'>";

        if ($data['photo_thumb1'] && file_exists(PHOTODIR.$data['photo_thumb1'])){
						echo "<img src='".PHOTODIR.$data['photo_thumb1']."' title='".$locale['431']."' alt='".$locale['431']."' />";
				} else {
						echo $locale['432'];
				}
        echo "</a>\n";
        

			$counter++; $i++;
			echo "</td>\n";
			if ($i==4) {$i=0; echo "</tr><tr>\n";}
		}
		echo "</tr></table>";
		echo "</div>\n";

				
			}
			if ($rows > $settings['thumbs_per_page']) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$settings['thumbs_per_page'],$rows,10,FUSION_SELF."?album_id=$album_id&amp;")."\n</div>\n";
		
		closetable();
		}
	}
} else {

	if(isset($_GET['album_cat'])){
    if(isset($_GET['rowstart'])){$rowstart=$_GET['rowstart'];} else {$rowstart='0';}
    
    $album_cat=$_GET['album_cat']; 
    $where="AND album_cat_id=".$_GET['album_cat']."";
    $limit="LIMIT $rowstart,$nastranice";
   } else {
    $where="";
    $nastranice=4;
    $limit="LIMIT 0, $nastranice";
   }
   
  
	
	$rows = dbcount("(album_id)", DB_PREFIX."photo_albums", groupaccess('album_access'));
	if ($rows) {
		$result = dbquery(
			"SELECT ta.*, tu.user_id,user_name FROM ".DB_PREFIX."photo_album_cats ta
			LEFT JOIN ".DB_PREFIX."users tu ON ta.album_cat_user=tu.user_id
			WHERE ".groupaccess('album_cat_access')." $where ORDER BY album_cat_id
			"
		);
		add_to_title(" ".$locale['400']);
		while ($data = dbarray($result)) {
		if(isset($_GET['album_cat'])) add_to_title( " ".$locale['400'].": ".$data['album_cat_title']);

		
		
		opentable("<a href='".FUSION_SELF."'>".$locale['400']."</a>: <a href='".FUSION_SELF."?album_cat=".$data['album_cat_id']."'>".$data['album_cat_title']."</a>");
     
	$album_cat=$data['album_cat_id'];
	$rows = dbcount("(album_id)", DB_PREFIX."photo_albums", "album_cat_id=$album_cat");
	if ($rows) {
		if ($data['album_cat_sorting']=='') {$order=' album_order DESC ';} else {$order=" ".$data['album_cat_sorting']." ";}
		$result1 = dbquery(
			"SELECT ta.*, tu.user_id,user_name FROM ".DB_PREFIX."photo_albums ta
			LEFT JOIN ".DB_PREFIX."users tu ON ta.album_user=tu.user_id
			WHERE album_cat_id=$album_cat AND ".groupaccess('album_access')." ORDER BY album_order DESC $limit"
		);
		$counter = 0; $r = 0; $k = 0;
    
    echo "<div class='gallery'>\n";
    echo "<table class='em' width='100%' cellpadding='5' valign='top'><tr>\n";
		while ($data1 = dbarray($result1)) {
        
        $count=dbcount("(photo_id)", DB_PREFIX."photos", "album_id='".$data1['album_id']."'");
       // if ($count>0) {
        
        echo "<td>\n";
        echo "<div align='center' class='em1'>\n";
          if (iSUPERADMIN && checkrights("P")) { echo "<a href='administration/photoalbums.php".$aidlink."&action=edit&album_id=".$data1['album_id']."' target='_blank'><img src='".IMAGES."edit.gif' alt='  ' title=' ' style='vertical-align:middle;border:0px;'/></a>\n";           }
          echo "<a href='".FUSION_SELF."?album_id=".$data1['album_id']."'>";
          if ($data1['album_thumb'] && file_exists(PHOTOS.$data1['album_thumb'])) {        
            echo "<img src='".PHOTOS.$data1['album_thumb']."' title='".$locale['401']."' alt='".$locale['401']."'/>"; 
          } else {
            echo "<img src='".IMAGES."photoalbum\album_0.png' border='0' title='".$locale['401']."' alt='".$locale['401']."'/>";
          }
          echo "</a>\n";
          echo "<div>".$data1['album_title']."<span class='small'>(".dbcount("(photo_id)", DB_PREFIX."photos", "album_id='".$data1['album_id']."'").")</span>\n";
          echo "</div>";
          echo "<div class='small'>";
            echo "<div><a href='".BASEDIR."profile.php?lookup=".$data1['user_id']."'>".$data1['user_name']."</a></div>\n";
            echo "<div>".showdate("shortdate", $data1['album_datestamp'])."</div>\n";
            
            
          echo "</div>";      
        echo "</div>\n";
			echo "</td>\n";
			$counter++; $k++;
			if ($k==4) {$k=0; echo "</tr><tr>\n";}	
		//	}
		}
		
		
		echo "</tr></table>\n";
		echo "</div>\n"; 
  }		
  if ($rows > $nastranice) {
    tablebreak();
    if ($nastranice==4) {
      echo "<div align='center' style='margin-top:5px;'><a href='".FUSION_SELF."?album_cat=".$data['album_cat_id']."'> ٨ $rows    </a></div>\n";
    } else {
      echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,$nastranice,$rows,10,FUSION_SELF."?album_cat=$album_cat&amp;")."\n</div>\n";	}}
    closetable();
	}
}else{
		echo "<center><br/>".$locale['406']."<br/><br/></center>\n";
		//closetable();
}
}

if (isset($_GET['action']) && ($_GET['action']=="changealbum") && iSUPERADMIN)   { 

    require_once INCLUDES."photo_functions_include.php";
      
    $result = dbquery("SELECT * FROM ".DB_PREFIX."photos WHERE photo_id='".$_GET['photo_id']."'");

    while ($data = dbarray($result)) {
      $path = BASEDIR."images/photoalbum/album_".$data['album_id']."/";
      $photo_file = $data['photo_filename']; 
      $pic_path = $path . $photo_file;  
      $photo_dest=BASEDIR."images/photoalbum/";
      $album_id=$data['album_id'];
      $photo_ext = '.jpg';
      @unlink($photo_dest."album_".$album_id.$photo_ext);
      $imagefile = @getimagesize($pic_path);
      $photo_thumb3 = image_exists($photo_dest, "album_".$album_id.$photo_ext);
			createthumbnail1($imagefile[2], $pic_path, $photo_dest.$photo_thumb3, 120, 120);
      $result2=dbquery("UPDATE ".DB_PREFIX."photo_albums SET album_thumb='album_".$album_id.$photo_ext."' WHERE album_id='$album_id'");
      redirect( BASEDIR."photogallery.php");  
 
    }    
}

require_once THEMES."templates/footer.php";
echo "<h1><div align=right class=small> <a href=http://kgb3000.com/photogallery.php target=_blank>  </a></div></h1>";
?>