<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: photoalbums.php
| Author: Nick Jones (Digitanium)
| Co-Author: Robert Gaudyn (Wooya)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."photo_functions_include.php";
require_once INCLUDES."bbcode_include.php";
include LOCALE.LOCALESET."admin/photoalbum_cats.php";

if (!checkrights("PH") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
if (isset($cat_id) && !isNum($cat_id)) redirect("index.php");

if (isset($status)) {
	if ($status == "deln") {
		$title = $locale['450'];
		$message = "<b>".$locale['451']."</b><br/>\n".$locale['452'];
	} elseif ($status == "dely") {
		$title = $locale['450'];
		$message = "<b>".$locale['454']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if (isset($action) && $action == "delete") {
	$result = dbquery("SELECT * FROM ".DB_PREFIX."photo_albums WHERE album_cat='$cat_id'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DB_PREFIX."photo_album_cats WHERE album_cat_id='$cat_id'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$cat_title = stripinput($_POST['cat_title']);
		$cat_description = stripinput($_POST['cat_description']);
		$cat_access = isNum($_POST['cat_access']) ? $_POST['cat_access'] : "0";		
		if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "1") {
			$cat_sorting = "album_id ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "2") {
			$cat_sorting = "album_subject ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "3") {
			$cat_sorting = "album_datestamp ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else {
			$cat_sorting = "album_subject ASC";
		}
		if ($action == "edit") {
			$result = dbquery("UPDATE ".DB_PREFIX."photo_album_cats SET album_cat_title='$cat_title', album_cat_description='$cat_description', album_cat_sorting='$cat_sorting', album_cat_access='$cat_access' WHERE album_cat_id='$cat_id'");
		} else {
			$result = dbquery("INSERT INTO ".DB_PREFIX."photo_album_cats (album_cat_title, album_cat_description, album_cat_sorting, album_cat_access) VALUES ('$cat_title', '$cat_description', '$cat_sorting', '$cat_access')");
		}
		redirect("photoalbum_cats.php?aid=".iAUTH);
	}
	if (isset($action) && $action == "edit") {
		$result = dbquery("SELECT * FROM ".DB_PREFIX."photo_album_cats WHERE album_cat_id='$cat_id'");
		$data = dbarray($result);
		$cat_title = $data['album_cat_title'];
		$cat_description = $data['album_cat_description'];
		$cat_sorting = explode(" ", $data['album_cat_sorting']);
		if ($cat_sorting[0] == "album_id") { $cat_sort_by = "1"; }
		if ($cat_sorting[0] == "album_subject") { $cat_sort_by = "2"; }
		if ($cat_sorting[0] == "album_datestamp") { $cat_sort_by = "3"; }
		$cat_sort_order = $cat_sorting[1];
		$cat_access = $data['album_cat_access'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['album_cat_id'];
		opentable($locale['455']);
	} else {
		$cat_title = "";
		$cat_description = "";
		$cat_sort_by = "2";
		$cat_sort_order = "ASC";
		$cat_access = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['456']);
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<div align='center' class='tbl' ><a href='photoalbums.php".$aidlink."'>  </a></div>\n";
	
	echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0' width='400'>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['457']."</td>
<td class='tbl'><input type='text' name='cat_title' value='$cat_title' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['458']."</td>
<td class='tbl'><input type='text' name='cat_description' value='$cat_description' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['467']."</td>
<td class='tbl'><select name='cat_sort_by' class='textbox'>
<option value='1'".($cat_sort_by == "1" ? " selected" : "").">".$locale['468']."</option>
<option value='2'".($cat_sort_by == "2" ? " selected" : "").">".$locale['469']."</option>
<option value='3'".($cat_sort_by == "3" ? " selected" : "").">".$locale['470']."</option>
</select> - 
<select name='cat_sort_order' class='textbox'>
<option value='ASC'".($cat_sort_order == "ASC" ? " selected" : "").">".$locale['471']."</option>
<option value='DESC'".($cat_sort_order == "DESC" ? " selected" : "").">".$locale['472']."</option>
</select></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['465']."</td>
<td class='tbl'><select name='cat_access' class='textbox'>
$access_opts</select></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='save_cat' value='".$locale['459']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable($locale['460']);
	echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>\n";
	$result = dbquery("SELECT * FROM ".DB_PREFIX."photo_album_cats ORDER BY album_cat_title");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>
<td class='tbl2'>".$locale['461']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['466']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['462']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>
<td class='$cell_color'><b>".$data['album_cat_title']."</b><br/>
<span class='small'>".trimlink($data['album_cat_description'], 45)."</span></td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['album_cat_access'])."</td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['album_cat_id']."'>".$locale['509']."</a> -
<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$data['album_cat_id']."'>".$locale['510']."</a></td>
</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'></td></tr>\n</table>\n";
	}
	closetable();
}

echo "</td>\n";
require_once THEMES."templates/footer.php";
?>